Module java.base
Package java.util.concurrent

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.concurrent.TimeoutException

All Implemented Interfaces:
  Serializable

    public class TimeoutException
    extends Exception

Exception thrown when a blocking operation times out. Blocking operations for which a timeout is specified need a means to indicate that the timeout has occurred. For many such operations it is possible to return a value that indicates timeout; when that is not possible or desirable then `TimeoutException` should be declared and thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeoutException()` Constructs a `TimeoutException` with no specified detail message.
`TimeoutException(String message)` Constructs a `TimeoutException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### TimeoutException

    public TimeoutException()

Constructs a `TimeoutException` with no specified detail message.

#### TimeoutException

    public TimeoutException(String message)

Constructs a `TimeoutException` with the specified detail message.

Parameters:
  `message` - the detail message